/* Commandfile zum Aufruf von 7plus aus FP/2 heraus */
/* Ergebnisdateien landen im Verzeichnis .\7PLUSBIN */
/*                                                  */
/* Zur Verwendung in FP/2 folgende Einstellung fr  */
/* 7plus,GoText,AutoBin-Para.. -> 7plus-Dekodierung */
/*    Programm:  CMD.EXE                            */
/*    Parameter: /C 7PVIEW.CMD $                    */
/*                                                  */
/*             (W) 13.2.1997 H. Stcklein DB5SH     */
/****************************************************/

'@ECHO OFF'

/* REXXUTIL laden und Bildschirm lschen */
CALL rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
CALL sysloadfuncs
CALL SysCls

/* Aktuelles FP/2-Verzeichnis merken */
CurDir = directory()

/* Zielverzeichnis ggf. erzeugen und anwhlen */
MD ".\7PLUSBIN"
NeuDir = directory(".\7PLUSBIN")

/* bergabeparameter ermitteln */
ARG FILENAME SHORTNAME TARGETNAME VIEWERNAME VIEWERPARAM

SAY 'Quelldatei : ' FILENAME
SAY 'Kurzname   : ' SHORTNAME
SAY 'Zieldatei  : ' TARGETNAME
SAY 'Viewername : ' VIEWERNAME
SAY 'Viewerparam: ' VIEWERPARAM

/* Files umkopieren, damit kein Zugriffkonflikt entstehen kann */
'COPY 'FILENAME'.*'

/* Jetzt den 7plus-Decoder aufrufen.  */
/* 7PLUS.EXE mu hier genau angegeben */
/* werden oder mu im PATH stehen !   */
'7PLUS.EXE -sysop -k -y' SHORTNAME

/* Das Dateiende abschneiden */
CurDir'\SCHNIPP.EXE ' SHORTNAME'.7MF ' TARGETNAME

/* Den Bildbetrachter aufrufen */
VIEWERNAME VIEWERPARAM TARGETNAME

/* Wieder zurck ins FP/2-Verzeichnis */
CALL directory(CurDir)

